Subject: [Isis-wg] Question on RFC 6822

From: Anshuman <[email-masked]>
Date: Mon, 16 Sep 2013 16:02:33 +0100 (BST)

Hi,

Is my understanding correct if i say that RFC 6822 defines multiple instances of ISIS to run. Does this mean that each instance will correspond to a unique VRF. Would implementing this RFC mean data plane changes?

My understanding is that a single circuit can now be a part of different instances. Each instance will run its own SPF and will come up with the shortest path routes. Now, when downloading them to the FIB, do i need to install them all in the same base routing instance or would each go in a separate VRF?

Thanks !

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 16 Sep 2013 16:31:17 +0000

Anshuman -

RFC 6822 does not constrain how MI might be used - though the Introduction and Section 3 provide some overall guidelines/examples. One of the primary motivators for writing MI was to provide isolation for instances which support RFC 6823 - which supports advertisement of "non-routing information". Use of MI is not restricted to this case however.

Using the same interface in two different VRFs makes no sense as a VRF by definiiton is a private network. MI could be used to support topology specific routing for multiple topologies in the same VRF. As such it is an alternative to RFC 5120. How topology specific information is stored/accessed in the FIB is out of scope for the document - and what dataplane changes might be required depends on how traffic gets classified into a particular topology.

   Les

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Anshuman
> Sent: Monday, September 16, 2013 8:03 AM
> To: [email-masked]
> Subject: [Isis-wg] Question on RFC 6822
> 
> Hi,
> 
> Is my understanding correct if i say that RFC 6822 defines multiple instances
> of ISIS to run. Does this mean that each instance will correspond to a unique
> VRF. Would implementing this RFC mean data plane changes?
> 
> My understanding is that a single circuit can now be a part of different
> instances. Each instance will run its own SPF and will come up with the
> shortest path routes. Now, when downloading them to the FIB, do i need to
> install them all in the same base routing instance or would each go in a
> separate VRF?
> 
> Thanks !
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg